Safari Plugins don't work after Snow Leopard upgrade

Discussion in 'Mac Apps and Mac App Store' started by tnsmart, Aug 29, 2009.

  1. tnsmart macrumors 6502

    Joined:
    Aug 23, 2008
    #1
    I just upgrade from Leopard to Snow Leopard and I can no longer access plugins in Safari. I have Glims, 1Password, Cosmopod, and Safari Adblock installed, but none of them show up in the toolbar (Cosmopod and 1Password should) or in Safari's preferences (Glims and Adblock should). I'm running the latest version of all of these and 1Password works fine in Firefox (the others were never compatible with Firefox). Any idea why they worked in Leopard but not Snow Leopard or how I can fix it? Thanks for the help.
     
  2. Chundles macrumors G4

    Chundles

    Joined:
    Jul 4, 2005
    #2
    Because they're not compatible with 64 bit Safari. You need to run Safari in 32 bit mode for them to work.

    All of them are getting updates soon.
     
  3. tnsmart thread starter macrumors 6502

    Joined:
    Aug 23, 2008
    #3
    I opened safari in 32-bit mode and they work great! Thanks.
     

Share This Page